#include "Actor.h"

void copyBackground(void* child)
{
    u8 i = 0;
	Actor* actor = child;

    //copy the content of the background where the player sprite will be drawn to save for later
	for (i = 0; i<TILE_HEIGHT; ++i)
	{
		//for some reason I cannot add i*4 directly and have to put it in a variable otherwise I get an sdcc error
		u8 temp = i * TILE_WIDTH_BYTES;
        
		cpct_memcpy(actor->backgroundSprite + temp, cpct_getScreenPtr(CPCT_VMEM_START, actor->object.position.x, actor->object.position.y + i), TILE_WIDTH_BYTES);
	}
}
