#ifndef DIALOG_H
#define DIALOG_H

#include <cpctelera.h>
#include "Boss.h"
#include "Cell.h"
#include "Difficulty.h"
#include "GameState.h"
#include "Interactable.h"
#include "Item.h"
#include "Text.h"
#include "Tile.h"
#include "sprites/ObjectiveSprites.h"
#include "sprites/ItemSprites.h"
#include "sprites/InteractableSprites.h"

//diplays a box to ask the player if they want to exit the game or not
u8 exitDialog();

//display a box to notify the player what objectives remain to be completed
void objectiveDialog();

void displayLine(u8 x, u8 y, u8 type, u8* subTypes, u8 subTypeCount, u16 currentValue, u16 targetValue);

#endif