#ifndef DIFFICULTY_H
#define DIFFICULTY_H

#include <types.h>

#define EASY_DIFFICULTY 0
#define NORMAL_DIFFICULTY 1
#define HARD_DIFFICULTY 2

extern u8 medkitHealth;
extern u8 livesCountStart;
extern u8 startingHealth;
extern u8 targetItemObjectiveCount;
extern u8 targetActivatedCount;
extern u8 targetInfestationCount;
extern u8 enemyDifficulty;

//this is because the last level has a different number of items
extern u8 targetItemObjectiveCountTop;

void setDifficulty(u8 difficulty);

#endif