#ifndef GAMESTATE_H
#define GAMESTATE_H

#include <cpctelera.h>
#include "Difficulty.h"
#include "GameTypes.h"
#include "Tile.h"

extern u8 totalObjectiveItems;
extern u8 collectedObjectiveItems;
extern u8 collectedObjectiveItems2;
extern u8 redrawHud;
extern u8 currentSegment;
extern u8 activatedValveCount;
extern u16 infestedCellCount;
extern u16 totalInfestedCellCount;
extern u8 currentLevel;
extern u16 gameScore;
extern u8 nextLevel;
extern u8 segmentEnemies[16];
extern u8 activatedTowerInteractableCount;
extern u8 totalTowerInteractableCount;
extern u8 emptyTile;
extern u8 wallTile;
extern u8 playerEntryX;
extern u8 playerEntryY;

//reset game state values to the defaults for the level start
void resetGameState();

//resets state values that are specific to the game session
void resetGameSessionState();

#endif