#ifndef INTERACTABLE_H
#define INTERACTABLE_H

#include <types.h>

#define INTERACTABLE_TYPE_DOOR_RED 0
#define INTERACTABLE_TYPE_DOOR_OBJECTIVE 1
#define INTERACTABLE_TYPE_GENERATOR_1_OFF 2
#define INTERACTABLE_TYPE_GENERATOR_2_OFF 4
#define INTERACTABLE_TYPE_GENERATOR_3_OFF 6
#define INTERACTABLE_TYPE_VALVE 8
#define INTERACTABLE_TYPE_VALVE_ACTIVE 9
#define INTERACTABLE_TYPE_TRANSFORMER_0_OFF 10
#define INTERACTABLE_TYPE_TRANSFORMER_0_ON 11
#define INTERACTABLE_TYPE_TRANSFORMER_1_OFF 12
#define INTERACTABLE_TYPE_TRANSFORMER_1_ON 13
#define INTERACTABLE_TYPE_TESLA_COIL_0_OFF 14
#define INTERACTABLE_TYPE_TESLA_COIL_0_ON 15
#define INTERACTABLE_TYPE_TESLA_COIL_1_OFF 16
#define INTERACTABLE_TYPE_TESLA_COIL_1_ON 17
#define INTERACTABLE_TYPE_WATER_TANK_0_EMPTY 18
#define INTERACTABLE_TYPE_WATER_TANK_0_FULL 19
#define INTERACTABLE_TYPE_DOOR_GREEN 20
#define INTERACTABLE_TYPE_DOOR_BLUE 21
#define INTERACTABLE_TYPE_DEATH 22

u16 interactableScore(u8 interactableValue);

#endif