#ifndef INTERACTABLESPRITES_H
#define INTERACTABLESPRITES_H

#include <types.h>

extern const u8 G_interactable_door[64];
extern const u8 G_interactable_objective_door[64];
extern const u8 G_interactable_generator_0[64];
extern const u8 G_interactable_generator_1[64];
extern const u8 G_interactable_generator_2_on[64];
extern const u8 G_interactable_generator_2_off[64];
extern const u8 G_interactable_generator_3_on[64];
extern const u8 G_interactable_generator_3_off[64];
extern const u8 G_interactable_release_valve[64];
extern const u8 G_interactable_release_valve_activated[64];
extern const u8 G_interactable_transformer_0_off[64];
extern const u8 G_interactable_transformer_0_on[64];
extern const u8 G_interactable_transformer_1_off[64];
extern const u8 G_interactable_transformer_1_on[64];
extern const u8 G_interactable_tesla_coil_0_off[64];
extern const u8 G_interactable_tesla_coil_0_on[64];
extern const u8 G_interactable_tesla_coil_1_off[64];
extern const u8 G_interactable_tesla_coil_1_on[64];
extern const u8 G_interactable_water_tank_0_empty[64];
extern const u8 G_interactable_water_tank_0_full[64];
extern const u8 G_interactable_door_green[64];
extern const u8 G_interactable_door_blue[64];
extern const u8 G_interactable_death[64];

static u8* const interactableGraphicSet[23] = { G_interactable_door, G_interactable_objective_door, G_interactable_generator_0, G_interactable_generator_1, G_interactable_generator_2_off, G_interactable_generator_2_on, G_interactable_generator_3_off, G_interactable_generator_3_on, G_interactable_release_valve, G_interactable_release_valve_activated, G_interactable_transformer_0_off, G_interactable_transformer_0_on, G_interactable_transformer_1_off, G_interactable_transformer_1_on, G_interactable_tesla_coil_0_off, G_interactable_tesla_coil_0_on, G_interactable_tesla_coil_1_off, G_interactable_tesla_coil_1_on, G_interactable_water_tank_0_empty, G_interactable_water_tank_0_full, G_interactable_door_green, G_interactable_door_blue, G_interactable_death };

#endif