#ifndef TILESPRITES_H
#define TILESPRITES_H

#include <cpctelera.h>

//ground level sprites
extern const u8 G_tile_wall_3[64];
extern const u8 G_tile_empty_4[64];

//mid level sprites
extern const u8 G_tile_middle_wall_3[64];
extern const u8 G_tile_middle_empty_2[64];
extern const u8 G_tile_middle_wall_8_infestation[64];
extern const u8 G_tile_middle_empty_6_infestation[64];

//top level sprites
extern const u8 G_tile_top_wall_2[64];
extern const u8 G_tile_top_empty_0[64];

//array for accessing tile graphics
static u8* const tileGraphicSet[8] = { G_tile_wall_3, G_tile_empty_4, G_tile_middle_wall_3, G_tile_middle_empty_2, G_tile_middle_wall_8_infestation, G_tile_middle_empty_6_infestation, G_tile_top_wall_2, G_tile_top_empty_0 };
	
#endif